> For the complete documentation index, see [llms.txt](https://docs.datarhei.com/restreamer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.datarhei.com/restreamer/api/api-and-developer.md).

# Core API

The Core of datarhei Restreamer is free and open source. Extend datarhei Restreamer according to your needs. Flexible video processing with FFMpeg Media Framework is made easy with an API. Create your video streaming and management platform with datarhei Core.

<mark style="color:yellow;background-color:yellow;">**|**</mark> 100% FFmpeg media framework inside \ <mark style="color:yellow;background-color:yellow;">**|**</mark> JSON REST-API (Swagger documented) \ <mark style="color:yellow;background-color:yellow;">**|**</mark> datarhei Core in Go \ <mark style="color:yellow;background-color:yellow;">**|**</mark> GraphQL&#x20;

{% embed url="<https://github.com/datarhei/core>" %}
**datarhei Core on GitHub**
{% endembed %}

## API

API version and build info in case auth is valid or not required. If auth is required, just the name field is populated. <https://demo.datarhei.com/api/swagger/index.html>

You'll find a detailed description of the API on <https://docs.datarhei.com/core>

## Learn more

{% content-ref url="/pages/-MXb\_m72sKwXpgM5udfT" %}
[Knowledge Base](/restreamer/knowledge-base/manual.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.datarhei.com/restreamer/api/api-and-developer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
